net.i2p.router.transport.ntcp

## Class NTCPSendFinisher

- java.lang.Object
- - net.i2p.router.transport.ntcp.NTCPSendFinisher

     class NTCPSendFinisher
    extends Object

Previously, NTCP was using SimpleTimer with a delay of 0, which was a real abuse. Here we use the non-scheduled, lockless ThreadPoolExecutor with a fixed pool size and an unbounded queue. The old implementation was having problems with lock contention; this should work a lot better - and not clog up the SimpleTimer queue.

Author:
  zzz

### Constructor Summary

Constructors
Constructor and Description
`NTCPSendFinisher(I2PAppContext context, NTCPTransport transport)`

### Method Summary

Methods
`void` `add(OutNetMessage msg)`
`void` `start()`
`void` `stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NTCPSendFinisher

    public NTCPSendFinisher(I2PAppContext context,
                    NTCPTransport transport)

### Method Detail

#### start

    public void start()

#### stop

    public void stop()

#### add

    public void add(OutNetMessage msg)